# Partially updates a billing run action with the specified ID.

This method will patch an existing billing run action with the specified ID, using the HTTP PATCH specification.

Endpoint: PATCH /billingRunActions/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the billing run action to patch.

## Request body:

  - `application/json` (unknown)
    The patch directives conforming to RFC 6902.

## Request fields (application/json):

  - `op` (string, required)
    The operation
    Enum: "add", "copy", "move", "remove", "replace", "test"

  - `path` (string, required)
    The JSON path

  - `value` (string)
    The updated value

## Response 200:

  - `200` (unknown)
    The billing run action was patched successfully.

## Response 200 fields (application/json):

  - `application_id` (string, required)
    The application linked to this action

  - `application_notice_id` (string)
    The application notice - if applicable

  - `billing_run_id` (string, required)
    The billing run ID

  - `candidate_id` (string, required)
    The candidate to which this action is linked

  - `candidate_service` (string, required)
    The service of the candidate

  - `certification_id` (string, required)
    The certification linked to this action

  - `certification_notice_id` (string, required)
    The certification notice - if applicable

  - `date` (string, required)
    The action date

  - `email_training_provider_invoice` (boolean)
    Whether to email training providers

  - `error_message` (string)
    The error message

  - `error_stack` (string)
    A detailed error message with stack trace

  - `expiration_date` (string)
    The expiration date

  - `id` (string, required)
    The unique, string identifier of this billing run action

  - `invoice_id` (string)
    The invoice that was created

  - `invoice_template_id` (string, required)
    The invoice template to use to bill the training provider

  - `last_refresh_date` (string)
    The date this action was last refreshed

  - `name` (string, required)
    Name of the membership

  - `outcome_of_last_refresh` (string)
    Describes what happened to this action the last time this billing run was refreshed
    Enum: "added", "no change", "removed"

  - `program_id` (string, required)
    The program

  - `status` (string, required)
    The status of this action
    Enum: "completed", "error", "excluded", "expiration date changed", "no longer eligible", "payment failure", "pending", "processing", "processing order"

  - `step_function_execution_arn` (string)
    The step function arn

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `training_provider_billing_records` (array, required)

  - `training_provider_billing_records.id` (string, required)
    The id of the record being billed

  - `training_provider_billing_records.service` (string, required)
    The service of the record

  - `training_provider_id` (string, required)
    The application linked to this action

  - `type` (string, required)
    Enum: "activate application", "bill training provider", "drop certification", "expire application", "forecast renewal", "send application reminder", "send renewal reminder"

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The JSON patch directive you supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The billing run action could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The billing run action could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve billing run action based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

